Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.policy.entry
Class PrincipalEntry

    java.lang.Object
      org.eclipse.jetty.policy.entry.AbstractEntry
          org.eclipse.jetty.policy.entry.PrincipalEntry

    public class PrincipalEntry

extends AbstractEntry

Field Summary
`static java.lang.String` | `WILDCARD` Wildcard value denotes any class and/or any name.

Constructor Summary
`PrincipalEntry()`

Method Summary
`void` | `expand(PolicyContext context)`
`java.lang.String` | `getKlass()`
`java.lang.String` | `getName()`
`void` | `setKlass(java.lang.String klass)`
`void` | `setName(java.lang.String name)`
`java.security.Principal` | `toPrincipal(PolicyContext context)`

Methods inherited from class org.eclipse.jetty.policy.entry.AbstractEntry
`isDirty, isExpanded, setDirty, setExpanded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WILDCARD

    public static final java.lang.String WILDCARD

  Wildcard value denotes any class and/or any name. Must be asterisk, for proper general expansion and PrivateCredentialsPermission wildcarding

  See Also:
    Constant Field Values

Constructor Detail

### PrincipalEntry

    public PrincipalEntry()

Method Detail

### toPrincipal

    public java.security.Principal toPrincipal(PolicyContext context)
                                        throws PolicyException

  Throws:
    `PolicyException`

### expand

    public void expand(PolicyContext context)
                throws PolicyException

  Specified by:
    `expand` in class `AbstractEntry`
  Throws:
    `PolicyException`

### getKlass

    public java.lang.String getKlass()

### setKlass

    public void setKlass(java.lang.String klass)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.